Skip to main content
GET
/
accounting
/
cash_flow_statement
Get Cash Flow Statement
curl --request GET \
  --url https://api.rootfi.dev/v3/accounting/cash_flow_statement \
  --header 'api_key: <api-key>'
import requests

url = "https://api.rootfi.dev/v3/accounting/cash_flow_statement"

headers = {"api_key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {api_key: '<api-key>'}};

fetch('https://api.rootfi.dev/v3/accounting/cash_flow_statement', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "rootfi_id": 157,
      "rootfi_deleted_at": null,
      "rootfi_created_at": "2024-01-22T05:07:31.465Z",
      "rootfi_updated_at": "2024-01-22T05:07:31.000Z",
      "rootfi_company_id": 1089,
      "platform_id": "123456_1",
      "platform_unique_id": "123456",
      "period_start": "2023-10-01",
      "period_end": "2024-01-31",
      "operating_activities": [
        {
          "name": "Operating Activities",
          "value": 123456.12,
          "line_items": [
            {
              "name": "Otis Falls",
              "value": 123456.12,
              "account_id": "123456",
              "line_items": []
            }
          ]
        }
      ],
      "investing_activities": [
        {
          "name": "Investing Activities",
          "value": 123456.12,
          "line_items": [
            {
              "name": "Otis Falls",
              "value": 123456.12,
              "account_id": "123456",
              "line_items": []
            }
          ]
        }
      ],
      "financing_activities": [
        {
          "name": "Financing Activities",
          "value": 123456.12,
          "line_items": [
            {
              "name": "Otis Falls",
              "value": 123456.12,
              "account_id": "123456",
              "line_items": []
            }
          ]
        }
      ],
      "cash_at_beginning_of_period": 123456,
      "cash_at_end_of_period": 123456,
      "updated_at": "2024-01-22T05:07:31.000Z"
    }
  ],
  "prev": "eyJyb290ZmlfaWQiOjQ0MDA2MX0=",
  "next": "eyJyb291ZmlfaWQiOjQ0MDA2MX0=",
  "total_count": 123
}
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "field": "<string>"
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "field": "<string>"
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "field": "<string>"
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "field": "<string>"
  }
}
Cash flow statements are financial statements that show the inflow and outflow of cash and cash equivalents from a company’s operations, investments, and financing activities over a specific period of time.

Authorizations

api_key
string
header
required

Query Parameters

rootfi_updated_at[gte]
string | null

Filter by rootfi_updated_at Greater than or Equal To.

rootfi_company_id[eq]
integer | null

Filter by rootfi_company_id. You can filter by any field using this syntax field_name[operator]

include_deleted_records
string | null

Include deleted records. By default, deleted records are not included. Supported values are true and false

sort[period_end]
string | null

The period end date of the income statement

period_start[gte]
string | null

The period start date of the income statement

period_end[lte]
string | null

The period end date of the income statement

period
integer | null

The period of the income statement

Response

The response object for the Cash Flow Statement endpoint.

data
accountingCashFlowStatementObject · object[]
required
prev
string | null

The previous page of objects to retrieve

next
string | null

The next page of objects to retrieve

total_count
integer | null

The total count of the objects